> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modellix.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Nano Banana

> [Core Function] Nano Banana is the original fast creative image model. [Strengths] Very fast creative generation. [Best For] Quick sketches and ideas. [Limitations] Superseded by Nano Banana 2 for general speed tasks. [Routing] Default to Nano Banana 2 unless specifically requested.



## OpenAPI

````yaml /model-api/google/google-t2i.json post /google/nano-banana
openapi: 3.1.0
info:
  description: The text-to-image models API from Google (Gemini and Imagen series).
  version: 1.0.0
  contact:
    name: Modellix Support
    email: support@modellix.ai
  title: Google Text-to-Image Models API
servers:
  - url: https://api.modellix.ai/api/v1
    description: The text-to-image models API from Google.
security:
  - bearerAuth: []
paths:
  /google/nano-banana:
    post:
      summary: Nano Banana
      description: >-
        [Core Function] Nano Banana is the original fast creative image model.
        [Strengths] Very fast creative generation. [Best For] Quick sketches and
        ideas. [Limitations] Superseded by Nano Banana 2 for general speed
        tasks. [Routing] Default to Nano Banana 2 unless specifically requested.
      operationId: nanoBananaAsync
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NanoBananaRequest'
            examples:
              basic:
                summary: Basic image generation
                value:
                  prompt: A serene mountain lake at golden hour with reflections
              with_ratio:
                summary: With aspect ratio
                value:
                  prompt: Futuristic city skyline at night with neon lights
                  aspectRatio: '16:9'
      responses:
        '200':
          description: Task submitted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AsyncTaskResponse'
              example:
                code: 0
                message: success
                data:
                  status: pending
                  task_id: task-abc123
                  model_id: google/nano-banana
                  get_result:
                    method: GET
                    url: https://api.modellix.ai/api/v1/tasks/task-abc123
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    NanoBananaRequest:
      type: object
      required:
        - prompt
      properties:
        prompt:
          type: string
          description: Image description text
          minLength: 1
          example: A serene mountain lake at golden hour with reflections
        aspectRatio:
          type: string
          description: Image aspect ratio
          default: '1:1'
          enum:
            - '1:1'
            - '2:3'
            - '3:2'
            - '3:4'
            - '4:3'
            - '4:5'
            - '5:4'
            - '9:16'
            - '16:9'
            - '21:9'
          example: '16:9'
    AsyncTaskResponse:
      type: object
      required:
        - code
        - message
        - data
      properties:
        code:
          type: integer
          description: Response code, 0 indicates success
          example: 0
        message:
          type: string
          description: Response message
          example: success
        data:
          type: object
          required:
            - status
            - task_id
            - model_id
          properties:
            status:
              type: string
              enum:
                - pending
                - processing
              description: Task status
              example: pending
            task_id:
              type: string
              description: Unique task identifier for polling
              example: task-abc123
            model_id:
              type: string
              description: Model ID in `provider/model` format
              example: google/nano-banana
            get_result:
              type: object
              description: API information to query the task result
              properties:
                method:
                  type: string
                  description: HTTP method
                  example: GET
                url:
                  type: string
                  description: Full URL to query the task result
                  example: https://api.modellix.ai/api/v1/tasks/task-abc123
          description: Detailed data about the submitted asynchronous task.
    ErrorResponse:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
          description: Error code (equals HTTP status code)
          example: 400
        message:
          type: string
          description: 'Error message in format ''Category: detail'''
          example: 'Invalid parameters: parameter ''prompt'' is required'
  responses:
    BadRequest:
      description: Invalid request parameters
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: 400
            message: 'Invalid parameters: parameter ''prompt'' is required'
    Unauthorized:
      description: Unauthorized - Invalid or missing API Key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: 401
            message: 'Authentication failed: invalid API key'
    TooManyRequests:
      description: Too many requests - Rate limit exceeded
      headers:
        X-RateLimit-Limit:
          description: Maximum requests per minute
          schema:
            type: integer
            example: 100
        X-RateLimit-Remaining:
          description: Remaining quota in current window
          schema:
            type: integer
            example: 0
        X-RateLimit-Reset:
          description: Rate limit window reset time (Unix timestamp)
          schema:
            type: integer
            example: 1704067260
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: 429
            message: >-
              Rate limit exceeded: 100 requests per minute, retry after 60
              seconds
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: 500
            message: Internal server error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'API Key authentication. Format: `Bearer YOUR_API_KEY`.'

````